Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.message
Class BeanConfigActionProcessor

    java.lang.Object
      org.jboss.soa.esb.listeners.message.BeanConfigActionProcessor

All Implemented Interfaces:
  ActionLifecycle, ActionPipelineProcessor

    public class BeanConfigActionProcessor

extends java.lang.Object
implements ActionPipelineProcessor

Field Summary

Fields inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor
`PROCESS_EXCEPTION_METHOD, PROCESS_METHOD, PROCESS_SUCCESS_METHOD`

Method Summary
`void` | `destroy()` Destroy the action instance.
`void` | `initialise()` Initialise the action instance.
`Message` | `process(Message message)` Perform the action processing on the specified message.
`void` | `processException(Message message, java.lang.Throwable th)` Process an exception generated by the pipeline processing.
`void` | `processSuccess(Message message)` Process a successful pipeline process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### process

    public Message process(Message message)
                    throws ActionProcessingException

  Description copied from interface: `ActionPipelineProcessor`
  Perform the action processing on the specified message. This method is invoked for each message passing throught the pipeline.

  Specified by:
    `process` in interface `ActionPipelineProcessor`
  Parameters:
    `message` - The current message being processed.
  Returns:
    The message to be passed to the next stage of the pipeline.
  Throws:
    `ActionProcessingException` - for errors during processing.

### processException

    public void processException(Message message,
                                 java.lang.Throwable th)

  Description copied from interface: `ActionPipelineProcessor`
  Process an exception generated by the pipeline processing. Invoked when the processing of a subsequent stage of the pipeline generates an exception.

  Specified by:
    `processException` in interface `ActionPipelineProcessor`
  Parameters:
    `message` - The original message.
    `th` - The throwable raised by the pipeline processing

### processSuccess

    public void processSuccess(Message message)

  Description copied from interface: `ActionPipelineProcessor`
  Process a successful pipeline process. Invoked when the pipeline processing completes successfully.

  Specified by:
    `processSuccess` in interface `ActionPipelineProcessor`
  Parameters:
    `message` - The original message.

### destroy

    public void destroy()
                 throws ActionLifecycleException

  Description copied from interface: `ActionLifecycle`
  Destroy the action instance.

  This method is called prior to the release of the action instance. All resources associated with this action instance should be released as the instance will no longer be used.

  Specified by:
    `destroy` in interface `ActionLifecycle`
  Throws:
    `ActionLifecycleException`

### initialise

    public void initialise()
                    throws ActionLifecycleException

  Description copied from interface: `ActionLifecycle`
  Initialise the action instance.

  This method is called after the action instance has been instantiated so that configuration options can be validated.

  Specified by:
    `initialise` in interface `ActionLifecycle`
  Throws:
    `ActionLifecycleException` - for errors during initialisation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD